clear all;

load dip;
load detector;

scaling=1/(4*pi);
radius= single([ detector.node-dipole.node ]);
r=single(norm(radius));

valuePXR=single(cross(dipole.field,radius));

mag_field_vec = single(scaling * valuePXR / (r * r * r));
mag_field_ind = dot(mag_field_vec, detector.field);

disp(num2str(norm(mag_field_vec),20));